from cpl_query.extension import List

from py_to_uxf_core.model.python_function import PythonFunction


class PythonClass:

    def __init__(self, name):
        self._name = name
        self._functions = List(PythonFunction)

    @property
    def name(self) -> str:
        return self._name

    @property
    def functions(self) -> List[PythonFunction]:
        return self._functions

    def add_function(self, func: PythonFunction):
        self._functions.append(func)
